Package org.gitana.platform.client.attachment

# Interface Attachment

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `AttachmentImpl`

public interface Attachment extends Serializable
Describes an attachment to an object (document, node or otherwise)

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ATTACHMENT_CONTENT_TYPE`
`static final String`
`FIELD_ATTACHMENT_FILENAME`
`static final String`
`FIELD_ATTACHMENT_ID`
`static final String`
`FIELD_ATTACHMENT_LENGTH`
`static final String`
`FIELD_ATTACHMENT_OBJECT_ID`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`String`
`getFilename()`
`String`
`getId()`
`InputStream`
`getInputStream()`
`long`
`getLength()`
`String`
`getObjectId()`

## Field Details

### FIELD_ATTACHMENT_LENGTH

static final String FIELD_ATTACHMENT_LENGTH

See Also:
  - Constant Field Values

### FIELD_ATTACHMENT_CONTENT_TYPE

static final String FIELD_ATTACHMENT_CONTENT_TYPE

See Also:
  - Constant Field Values

### FIELD_ATTACHMENT_FILENAME

static final String FIELD_ATTACHMENT_FILENAME

See Also:
  - Constant Field Values

### FIELD_ATTACHMENT_OBJECT_ID

static final String FIELD_ATTACHMENT_OBJECT_ID

See Also:
  - Constant Field Values

### FIELD_ATTACHMENT_ID

static final String FIELD_ATTACHMENT_ID

See Also:
  - Constant Field Values

## Method Details

### getId

String getId()

### getObjectId

String getObjectId()

### getLength

long getLength()

### getFilename

String getFilename()

### getContentType

String getContentType()

### getInputStream

InputStream getInputStream()